Package org.apache.felix.hc.core.impl.executor

## Class TempUnavailableGracePeriodEvaluator

- java.lang.Object
- - org.apache.felix.hc.core.impl.executor.TempUnavailableGracePeriodEvaluator

    public class TempUnavailableGracePeriodEvaluator
    extends Object

Checks a result set for TEMPORARILY_UNAVAILABLE that have exceeded grace period.

### Constructor Summary

Constructors
`TempUnavailableGracePeriodEvaluator​(long temporarilyAvailableGracePeriodInMs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TempUnavailableGracePeriodEvaluator

    public TempUnavailableGracePeriodEvaluator​(long temporarilyAvailableGracePeriodInMs)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`